Loading...
Searching...
No Matches
LowerParallelTasks.h File Reference

Support for platform independent lowering of Halide parallel and async mechanisms. More...

`#include "IRVisitor.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::lower_parallel_tasks (const Stmt &s, std::vector< LoweredFunc > &closure_implementations, const std::string &name, const Target &t)

## Detailed Description

Support for platform independent lowering of Halide parallel and async mechanisms.

May eventually become a lowering pass.

Definition in file LowerParallelTasks.h.